#!/bin/bash

export CONAN_HOME="$PWD/conan_cache"

source venv/bin/activate
set -e

mkdir -p build
conan install . --output-folder=build --build=missing

cd build
#cmake .. -G "Unix Makefiles" -DCMAKE_BUILD_TYPE=Release
#cmake -S .. -B .
cmake .. -DCMAKE_TOOLCHAIN_FILE=conan_toolchain.cmake -DCMAKE_BUILD_TYPE=Release
cmake --build .

EXEC_NAME=$(grep 'project(' ../CMakeLists.txt | sed -E 's/project\((\S+)\)/\1/g')
./"$EXEC_NAME" "$@"
